Cortex Docs
API ReferenceUser Endpoints

User/ Pricing Plans

User pricing plan catalogue endpoints.

GET
/api/user/pricing_plans/v1

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"

Response Body

application/json

curl -X GET "https://example.com/api/user/pricing_plans/v1" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en"
{  "code": "string",  "response": [    {      "code": "free",      "_id": "string",      "name": "string",      "type": "subscription",      "duration": "week",      "source": "revenuecat",      "stripeProductId": "string",      "stripePriceId": "string",      "trialDays": 0,      "capabilities": [        "trackApp"      ],      "seatLimit": 0,      "appLimit": 0,      "keywordLimit": 0,      "apiRequestLimit": 0,      "competitorLimitPerApp": 0,      "aiMonthlyCreditLimit": 0,      "storefrontLimit": 0,      "price": 0,      "currency": "string",      "isEnterprise": true,      "description": "string",      "badge": "string",      "highlighted": true,      "features": [        "string"      ]    }  ]}